Skip to main content
GET
Get one wishlist (owner only)

Authorizations

X-Shopify-ApiKey
string
header
required

Store API key from Wishlist settings > API Settings.

X-Shopify-Shop
string
header
required

The store's myshopify domain, e.g. your-store.myshopify.com.

X-Shopify-CustomerId
string
header
required

Numeric Shopify customer id of a logged-in shopper. Verified against the store on every call.

Path Parameters

wishlistId
string
required

Numeric wishlist id.

Pattern: ^\d+$

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:5

Page size. Server default is 5 when omitted.

Required range: 1 <= x <= 50
locale
string

Language for product titles (Storefront API).

country
string
default:US

Market country code for prices.

withCounts
enum<string>

true or 1 adds meta.tabCounts (page 1 only).

Available options:
true,
1,
false,
0
withMoveTargets
enum<string>

Adds meta.moveTargets: the shopper's other lists (id, name).

Available options:
true,
1,
false,
0

Response

The list with paged items

data
object
pagination
object
meta
object